fence-agents (4.16.0-2ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:43:34 +0200

fence-agents (4.16.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085231). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - Create the fence-agents-base binary package.
      This is a metapackage to install all the agents curated by the
      Ubuntu Server team.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
      This is a metapackage to install all the agents non-curated by the
      Ubuntu Server team.
    - d/control: demote ipmitool and sbd dependencies to Suggests.
      fence-agents-{ipmilan,sbd} depend on packages in universe, instead
      of promoting them to main let's change the relationship to
      Suggests.
    - d/t/control: replace fence-agents-all dependency with the new
      -base and -extra packages
  * Dropped changes:
    - d/t/control: use needs-recommends restrictions since @recommends@
      is not supported.  In the autopkgtest version used in the Ubuntu
      infrastructure, the @recommends@ in Depends does not work. For
      now, let's use the deprecated needs-recommends restriction.
      [ Debian no longer uses @recommends@ here ]
    - Use google-auth rather than oauth2client (LP #2073859)
      [ Fixed in 4.15.0-3 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 20 Feb 2025 00:30:52 -0300

fence-agents (4.16.0-2) unstable; urgency=medium

  * Add patch to fix fence_raritan_px3 syntax warnings

 -- Valentin Vidic <vvidic@debian.org>  Sun, 08 Dec 2024 21:47:12 +0100

fence-agents (4.16.0-1) unstable; urgency=medium

  [ Noah Meyerhans ]
  * Fix autopkgtest failure caused access restrictions on ICMP sockets
    (Closes: #1086011)

  [ Valentin Vidic ]
  * New upstream version 4.16.0
  * Add new package fence-agents-nutanix-ahv
  * Add new package fence-agents-all (Closes: #1085256)

 -- Valentin Vidic <vvidic@debian.org>  Mon, 02 Dec 2024 08:30:28 +0100

fence-agents (4.15.0-3) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Use google-auth rather than oauth2client

  [ Valentin Vidic ]
  * Fix Depends parsing for autopkgtest

 -- Valentin Vidic <vvidic@debian.org>  Mon, 16 Sep 2024 22:45:49 +0200

fence-agents (4.15.0-2) unstable; urgency=medium

  * Make metadata autopkgtest less verbose
  * Move large agents to Suggests to reduce size

 -- Valentin Vidic <vvidic@debian.org>  Sun, 15 Sep 2024 15:07:11 +0200

fence-agents (4.15.0-1ubuntu5) plucky; urgency=medium

  * Dropped:
    - Fix autopkgtest failure caused access restrictions on ICMP sockets
      (Closes: #1086011):
      + d/t/control: add procps dependency to the "delay" test
      + d/t/delay: ensure unprivileged users can run ping
      [iputils-ping is back to using capabilities in 3:20240905-1ubuntu1]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 17 Dec 2024 11:19:53 -0300

fence-agents (4.15.0-1ubuntu4) plucky; urgency=medium

  * Fix autopkgtest failure caused access restrictions on ICMP sockets
    (Closes: #1086011):
    - d/t/control: add procps dependency to the "delay" test
    - d/t/delay: ensure unprivileged users can run ping
    [Backported from Debian c966378786d98416a4b141a616c1b2f4c9ff7381, authored
    by Noah Meyerhans]

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 09 Dec 2024 15:33:00 -0300

fence-agents (4.15.0-1ubuntu3) plucky; urgency=medium

  * Rebuild with the current libxml2 version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Nov 2024 13:20:23 +0100

fence-agents (4.15.0-1ubuntu2) oracular; urgency=medium

  * d/t/control: replace fence-agents dependency with the new -base
    and -extra packages

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 29 Aug 2024 19:25:35 -0300

fence-agents (4.15.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064402). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - Create the fence-agents-base binary package.
      This is a metapackage to install all the agents curated by the
      Ubuntu Server team.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
      This is a metapackage to install all the agents non-curated by the
      Ubuntu Server team.
    - d/control: demote ipmitool and sbd dependencies to Suggests.
      fence-agents-{ipmilan,sbd} depend on packages in universe, instead
      of promoting them to main let's change the relationship to
      Suggests.
    - d/t/control: use needs-recommends restrictions since @recommends@
      is not supported.  In the autopkgtest version used in the Ubuntu
      infrastructure, the @recommends@ in Depends does not work. For
      now, let's use the deprecated needs-recommends restriction.
    - Use google-auth rather than oauth2client (LP #2073859)
  * Dropped changes:
    - Create a transitional binary package called fence-agents.
      It depends on both fence-agents-{base,extra}.
      [ Transitional package around for 2 LTS cycles ]
    - d/p/fence_azure_arm-fix-get-virtual-machines-call: fix get virtual
      machines call to match API changes in python3-azure.
      [ Fixed upstream in 4.13.1 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 09 Aug 2024 09:55:17 -0300

fence-agents (4.15.0-1) unstable; urgency=medium

  * New upstream version 4.15.0 (Closes: #1076145)
  * Refresh patches for new version
  * Update agents copyright
  * Refresh agent installed files for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 21 Jul 2024 18:04:05 +0200

fence-agents (4.14.0-1) unstable; urgency=medium

  * New upstream version 4.14.0
  * Refresh patches for new version
  * Switch Build-Depends to systemd-dev (Closes: #1060568)
  * Update Standards-Version to 4.7.0
  * Add packages for new agents
  * Upload split package to unstable

 -- Valentin Vidic <vvidic@debian.org>  Sat, 27 Apr 2024 10:06:49 +0200

fence-agents (4.12.1-2~exp1ubuntu5) oracular; urgency=medium

  * Use google-auth rather than oauth2client (LP: #2073859)

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 23 Jul 2024 11:39:24 +0200

fence-agents (4.12.1-2~exp1ubuntu4) noble; urgency=medium

  * d/p/fence_azure_arm-fix-get-virtual-machines-call: fix get virtual machines
    call to match API changes in python3-azure. This fixes the otherwise
    completely broken Azure fence agent.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 16 Apr 2024 13:38:28 +0000

fence-agents (4.12.1-2~exp1ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:57:24 +0200

fence-agents (4.12.1-2~exp1ubuntu2) mantic; urgency=medium

  * d/control: demote ipmitool and sbd dependencies to Suggests.
    fence-agents-{ipmilan,sbd} depend on packages in universe, instead of
    promoting them to main let's change the relationship to Suggests.
  * d/t/control: use needs-recommends restrictions since @recommends@ is not
    supported. In the autopkgtest version used in the Ubuntu infrastructure,
    the @recommends@ in Depends does not work. For now, let's use the deprecated
    needs-recommends restriction.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 13 Jul 2023 17:51:39 -0300

fence-agents (4.12.1-2~exp1ubuntu1) mantic; urgency=medium

  * Merge with Debian experimental (LP: #2018071). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - Create the fence-agents-base binary package.
      This is a metapackage to install all the agents curated by the
      Ubuntu Server team.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
      This is a metapackage to install all the agents non-curated by the
      Ubuntu Server team.
    - Create a transitional binary package called fence-agents.
      It depends on both fence-agents-{base,extra}.
  * Dropped:
    - d/rules: install files in debian/fence-agents instead of debian/tmp.
    - Create the fence-agents-common binary package with files to be
      shared by agents.
    - Update the way agents description are added to the package
      description to support the split.
    - d/curated-agents: add set of curated agents to the -base package.
      They are: fence_scsi, fence_mpath, fence_sbd, fence_ipmilan and
      friends (fence_idrac, fence_ilo3, fence_ilo4, fence_ilo5, fence_imm,
      and fence_ipmilanplus).
    - d/control: suggest dependecies of agents in the -base package
      (LP #1863677).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 06 Jul 2023 17:56:39 -0300

fence-agents (4.12.1-2~exp1) experimental; urgency=medium

  [ Lucas Kanashiro ]
  * Create fence-agents-common binary package
  * d/control: add one binary package paragraph for each fence agent
  * d/fence-agents-*.install: install agents in the approppriate package
  * Make fence-agents binary package a metapackage depending on all agents
  * d/rules: fix dh_install overrides
  * d/rules: no need to override dh_gencontrol
  * d/rules: install pycache files to avoid dh_missing error
  * d/t/control: adjust some test dependencies due to the split
  * Update changelog

  [ Valentin Vidic ]
  * d/control: add ${misc:Depends} for fence-agents
  * d/control: update package descriptions
  * d/rules: do not install pycache files
  * d/control: update package descriptions
  * d/tests: use Recommends in autopkgtests
  * d/control: add python3-openstackclient dependency

  [ Lucas Kanashiro ]
  * d/fence-agents-apc-snmp.install: install mib file
  * d/control: add python3-socks as runtime dependency of GCE agent
  * d/control: add python3-pexpect as a runtime dependency of netio agent
  * d/control: add python3-pexpect as runtime dependency of raritan agent
  * d/fence-agents-vmware.install: add fence_vmware_helper.pl

  [ Valentin Vidic ]
  * d/control: update fence-agents-netio description and depends
  * d/control: cleanup depends for fence-agents-common
  * d/control: update description for fence-agents-vmware
  * d/rules: install fence-vmware-helper to libexec directory
  * d/control: update description for fence-agents-crosslink
  * d/install: fix mib install for fence-agents-apc-snmp
  * d/control: update description for fence-agents-apc-snmp

  [ Lucas Kanashiro ]
  * d/control: fix architecture of binary packages

  [ Valentin Vidic ]
  * d/rules: remove deprecated zvm agent
  * d/control: update description for fence-agents-zvm
  * d/control: update description for fence-agents-aliyun
  * d/rules: update list of agents skipped in testing
  * d/control: update descriptions
  * Update metadata test for fence_virt

 -- Valentin Vidic <vvidic@debian.org>  Sun, 02 Jul 2023 16:46:59 +0200

fence-agents (4.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends: systemd to systemd-dev, fixing FTBFS (Closes:
    #1060568)
  * Install systemd units into /usr. (Closes: #1073720)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 11 Jul 2024 14:46:34 +0200

fence-agents (4.12.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993400). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - d/rules: install files in debian/fence-agents instead of debian/tmp.
    - Create the fence-agents-common binary package with files to be
      shared by agents.
    - Create the fence-agents-base binary package.
      To add a new curated agent it should be added to debian/curated-agents
      file in a new line.
    - Update the way agents description are added to the package
      description to support the split.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
      Also fix installation of fence-virt{,d} binary packages.
    - Create a transitional binary package called fence-agents.
      It depends on both fence-agents-{base,extra}.
    - d/curated-agents: add set of curated agents to the -base package.
      They are: fence_scsi, fence_mpath, fence_sbd, fence_ipmilan and
      friends (fence_idrac, fence_ilo3, fence_ilo4, fence_ilo5, fence_imm,
      and fence_ipmilanplus).
    - d/control: suggest dependecies of agents in the -base package
      (LP #1863677).
  * Dropped:
    - d/rules: disable -Wstringop-truncation in s390x to fix a FTBFS.
      [applied by Debian version 4.12.0-1]
    - d/rules: do not install /var/run directory anymore.
      [Not needed anymore]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 30 Jan 2023 17:31:30 -0300

fence-agents (4.12.1-1) unstable; urgency=medium

  * New upstream version 4.12.1 (Closes: #1029768)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 28 Jan 2023 09:06:44 +0100

fence-agents (4.12.0-1) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * d/rules: use $DEB_HOST_ARCH variable to detect host architecture
  * d/rules: disable -Wstringop-truncation in s390x to fix a FTBFS with GCC 12

  [ Valentin Vidic ]
  * New upstream version 4.12.0
  * Refresh patches for new version
  * Update Debian copyright year
  * Update Standards-Version to 4.6.2
  * Update metadata test for new version
  * Create temporary directory for agents
  * Leave zvm agent enabled
  * Generate secret key on package install

 -- Valentin Vidic <vvidic@debian.org>  Sat, 14 Jan 2023 15:44:02 +0100

fence-agents (4.11.0-1ubuntu2) kinetic; urgency=medium

  * d/rules: disable -Wstringop-truncation in s390x to fix a FTBFS.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 15 Aug 2022 17:31:50 -0300

fence-agents (4.11.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971275). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - d/rules: install files in debian/fence-agents instead of debian/tmp.
    - Create the fence-agents-common binary package with files to be
      shared by agents.
    - Create the fence-agents-base binary package.
      To add a new curated agent it should be added to debian/curated-agents
      file in a new line.
    - Update the way agents description are added to the package
      description to support the split.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
    - Create a transitional binary package called fence-agents.
      It depends on both fence-agents-{base,extra}.
    - d/control: Add missing Breaks/Replaces to the fence-agents-base.
    - d/curated-agents: add fence_scsi to the -base package.
    - d/curated-agents: add fence_mpath to the -base package.
    - d/rules: do not install /var/run directory anymore.
      This was causing a lintian error because of the /var/run/cluster
      directory created by the upstream build system. The needed files in
      /var/run should be created by the agents during runtime.
    - d/curated-agents: add fence_ipmilan and fence_sbd to the -base
      package (LP #1965312).
      Also add the following agents which are symlinks to fence_ipmilan:
      fence_idrac, fence_ilo3, fence_ilo4, fence_ilo5, fence_imm, and
      fence_ipmilanplus.
    - d/control: suggest dependecies of agents in the -base package
      (LP #1863677).
  * Added:
    - Fix installation of fence-virt{,d} binary packages.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 05 Aug 2022 14:48:47 -0300

fence-agents (4.11.0-1) unstable; urgency=medium

  * New upstream version 4.11.0
  * Refresh patches for new version
  * Create packages for fence-virt and fence-virtd
  * Update watch file url
  * Update Debian copyright
  * Update Standards-Version to 4.6.0
  * Cleanup lintian-overrides
  * Fix lintian warning for syslog.target
  * Replace deprecated logging.warn calls
  * Ignore warnings in metadata output

 -- Valentin Vidic <vvidic@debian.org>  Sun, 01 May 2022 17:51:59 +0200

fence-agents (4.7.1-1ubuntu8) jammy; urgency=medium

  * d/curated-agents: add fence_ipmilan and fence_sbd to the -base package.
    Also add the following agents which are symlinks to fence_ipmilan:
    fence_idrac, fence_ilo3, fence_ilo4, fence_ilo5, fence_imm, and
    fence_ipmilanplus (LP: #1965312).
  * d/control: suggest dependecies of agents in the -base package (LP: #1863677)

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 17 Mar 2022 11:43:13 -0300

fence-agents (4.7.1-1ubuntu7) impish; urgency=medium

  * d/rules: do not install /var/run directory anymore.
    This was causing a lintian error because of the /var/run/cluster
    directory created by the upstream build system. The needed files in
    /var/run should be created by the agents during runtime.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 28 Sep 2021 09:16:11 -0300

fence-agents (4.7.1-1ubuntu6) impish; urgency=medium

  * d/curated-agents: add fence_mpath to the -base package (LP: #1942368).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Jul 2021 10:53:33 -0300

fence-agents (4.7.1-1ubuntu5) impish; urgency=medium

  * d/curated-agents: add fence_scsi to the -base package.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 30 Jun 2021 16:54:03 -0300

fence-agents (4.7.1-1ubuntu4) impish; urgency=medium

  * Rename fence-agents with non-curated agents to fence-agents-extra.
    - d/control: rename the fence-agents binary package to fence-agents-extra.
    - d/extract-agents-description:
      + Rename the package name used in the substvars filename.
      + Rename all the occurrences of the 'unsupported' term to 'non-curated'.
    - d/move-supported-agents: update the binary package name in the path used
      to move files.
    - d/rules:
      + Rename FENCE_AGENTS_DIR to FENCE_AGENTS_EXTRA_DIR with the appropriate
        path.
      + Edit comments to avoid the term 'supported'.
  * Rename fence-agent-supported with curated agents to fence-agents-base.
    - d/control:
      + Rename fence-agents-supported binary package to fence-agents-base.
      + Update the short and long description to not use the 'supported' term.
      + Rename the supportedAgents substvar to curatedAgents.
    - d/curated-agents: new file, this is the renamed d/supported-agents file.
    - d/extract-agents-description:
      + Rename the package name used in the substvars filename.
      + Rename all the occurrences of the 'supported' term to 'curated'.
    - d/move-curated-agents: new file, this is the renamed
      d/move-supported-agents script.
    - d/rules:
      + Call d/move-curated-agents instead of d/move-supported-agents.
      + Edit comments to avoid the term 'supported'.
  * Create a transitional binary package called fence-agents.
    - d/control: add a new section for the transitional package, adding
      fence-agents-{base,extra} as dependencies.
  * d/control: add a missing Breaks/Replaces relation to the fence-agents-base.
  * d/move-curated-agents: use readonly variables to store the binary
    packages' path.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 12 May 2021 15:44:43 -0300

fence-agents (4.7.1-1ubuntu3) impish; urgency=medium

  * d/control: make fence-agents recommend fence-agents-supported.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 03 May 2021 09:14:56 -0300

fence-agents (4.7.1-1ubuntu2) impish; urgency=medium

  * d/rules: install files in debian/fence-agents instead of debian/tmp.
  * d/install: removed, it is not needed.
  * Create the fence-agents-common binary package with files to be shared by
    the supported and unsupported agents.
    - d/control: add a new paragraph for the new binary package and move some
      runtime dependencies from fence-agents to fence-agents-common.
    - d/rules: move the common code to the new binary package.
  * Create the fence-agents-supported package
    - d/control: add a new paragraph for the new binary package.
    - d/move-supported-agents: added a shell script to manage the move of all
      supported agents to the right binary package.
    - d/rules: call the d/move-supported-agents shell script and also run the
      checks for the agents in the new binary package.
    - d/supported-agents: added a file with a list of the supported agents.
  * Update the way agent descriptions are added to the package description to
    support the split.
    - d/control: added a new variable to generate the list of supported agents
      during build time and fix the indentation.
    - d/extract-agents-description: added a shell script to generate a list of
      supported and unsupported agents with their description.
    - d/rules: call the d/extract-agents-description script in dh_gencontrol.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 12 Apr 2021 18:27:29 -0300

fence-agents (4.7.1-1ubuntu1) hirsute; urgency=medium

  * d/t/delay: Reduce minimum delay when running on ppc64el.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 26 Feb 2021 16:46:48 -0500

fence-agents (4.7.1-1) unstable; urgency=medium

  * New upstream version 4.7.1
  * Update dependencies for new version

 -- Valentin Vidic <vvidic@debian.org>  Mon, 08 Feb 2021 20:32:01 +0100

fence-agents (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0
  * Run delay test using dash again
  * Update watch file version
  * Include pkgconfig in the package

 -- Valentin Vidic <vvidic@debian.org>  Thu, 10 Dec 2020 21:25:57 +0100

fence-agents (4.6.0-3) unstable; urgency=medium

  * Run delay test using bash (Closes: #975543)
  * Update Standards-Version to 4.5.1

 -- Valentin Vidic <vvidic@debian.org>  Tue, 01 Dec 2020 22:28:44 +0100

fence-agents (4.6.0-2) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * d/t/metadata: force gawk and fix warning message

  [ Valentin Vidic ]
  * Cleanup unused lintian-overrides
  * Fix failing reproducible build with some locales
  * Run delay test in parallel to save time

 -- Valentin Vidic <vvidic@debian.org>  Sat, 17 Oct 2020 11:15:38 +0200

fence-agents (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0
  * Refresh patches for new version
  * Update lintian-overrides for new version
  * Fix awk warning in autopkgtest

 -- Valentin Vidic <vvidic@debian.org>  Wed, 02 Sep 2020 22:27:26 +0200

fence-agents (4.5.2-3) unstable; urgency=medium

  * Move fence_kdump_send to /usr/libexec
  * Remove Build-Depends on openstack modules
  * Remove explicit dh_missing call
  * Fix package description
  * Add comment why tests are disabled during build

 -- Valentin Vidic <vvidic@debian.org>  Sat, 16 May 2020 12:13:29 +0200

fence-agents (4.5.2-2) unstable; urgency=medium

  [ Valentin Vidic ]
  * Enable CI on salsa
  * Fix lintian manpage warnings
  * Move testing to autopkgtest
  * Fix build error on autodetect agents
  * Add skippable test for fence_aws
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat version 13
  * Update Maintainer mailing list

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Valentin Vidic <vvidic@debian.org>  Wed, 13 May 2020 20:14:32 +0200

fence-agents (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2
  * Update Standards-Version to 4.4.1
  * Build using Rules-Requires-Root: no

 -- Valentin Vidic <vvidic@debian.org>  Wed, 23 Oct 2019 19:40:34 +0200

fence-agents (4.5.1-1) unstable; urgency=medium

  * New upstream version 4.5.1
  * Drop patch remove-fence_amt_ws
  * Use debhelper-compat version 12

 -- Valentin Vidic <vvidic@debian.org>  Sun, 29 Sep 2019 12:48:33 +0200

fence-agents (4.4.0-2) unstable; urgency=medium

  * Update patch for removing fence_amt_ws (Closes: #934519)

 -- Valentin Vidic <vvidic@debian.org>  Fri, 16 Aug 2019 15:07:06 +0200

fence-agents (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * Update Standards-Version to 4.4.0
  * Refresh patches for new version
  * Update lintian override for manpage

 -- Valentin Vidic <vvidic@debian.org>  Sun, 14 Jul 2019 14:00:16 +0200

fence-agents (4.3.3-2) unstable; urgency=high

  * fence_rhevm: add patch for CVE-2019-10153 (Closes: #930887)
    Including non-ASCII characters in a guest VM's comment or other fields
    would cause fence_rhevm to exit with an exception.

 -- Valentin Vidic <vvidic@debian.org>  Sun, 23 Jun 2019 19:53:35 +0200

fence-agents (4.3.3-1) unstable; urgency=medium

  * New upstream version 4.3.3

 -- Valentin Vidic <vvidic@debian.org>  Mon, 03 Dec 2018 19:32:54 +0100

fence-agents (4.3.2-2) unstable; urgency=medium

  * Pass PING{,4,6}_CMD to configure (Closes: #915240)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 02 Dec 2018 10:17:57 +0100

fence-agents (4.3.2-1) unstable; urgency=medium

  * New upstream version 4.3.2

 -- Valentin Vidic <vvidic@debian.org>  Thu, 29 Nov 2018 16:34:08 +0100

fence-agents (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
  * Refresh patches for new version
  * Update openstack dependencies

 -- Valentin Vidic <vvidic@debian.org>  Thu, 18 Oct 2018 09:02:10 +0200

fence-agents (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * fence_sbd: fix location of sbd binary
  * fence_openstack: add required python modules
  * Skip disabled agents in package description
  * Refresh patches for new version
  * Update Standards-Version to 4.2.1
  * Update my email address in Uploaders

 -- Valentin Vidic <vvidic@debian.org>  Sat, 06 Oct 2018 22:30:26 +0200

fence-agents (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * Refresh patches for new version

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 31 May 2018 14:44:59 +0200

fence-agents (4.2.0-3) unstable; urgency=medium

  * Move python3-requests and python3-suds to Depends (Closes: #899381)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 23 May 2018 17:41:54 +0200

fence-agents (4.2.0-2) unstable; urgency=medium

  * fence_scsi: fix Unicode error with python3 (Closes: #899310)
  * Add autopkgtest for agent metadata

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 23 May 2018 16:37:33 +0200

fence-agents (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * Refresh patches for new version
  * Ignore long line in manpage
  * Update debian/copyright after file rename
  * Include upstream README and API documents
  * Rename debian/install file
  * Disable testing for agents accessing the network

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 20 May 2018 21:41:39 +0200

fence-agents (4.1.1-2) unstable; urgency=medium

  * Update Vcs URLs to use salsa
  * Update Standards-Version to 4.1.4

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 11 Apr 2018 16:22:49 +0200

fence-agents (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * Switch the agents to python3
  * Refresh patches for new version
  * Reoder paragraphs in debian/copyright
  * Switch to debhelper v11
  * Remove XS-Testsuite from debian/control
  * Add cleanup of autogenerated files
  * Enable hardening for compiled agents
  * BUILD_DATE not needed for reproducible builds anymore
  * Suggest python3 modules required for fence_azure_arm
  * Remove unused paragraphs from debian/copyright
  * Update Standards-Version to 4.1.3
  * Replace cman Conflicts with Breaks
  * Add patch for spelling errors reported by lintian
  * Add descriptions for Debian patches
  * Add iputils-ping to Build-Depends
  * Fix version reported by agents

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 18 Feb 2018 15:29:05 +0100

fence-agents (4.0.25-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Update watch file and homepage to point at github.
  * Remove myself from Uploaders.

  [ Valentin Vidic ]
  * Add myself to uploaders.
  * Ignore lintian warning for fence_ironic description.
  * Disable Internet access during build (Closes: #849336)
  * Update Standards-Version to 4.1.1.
  * Update debhelper to v10.
  * Use dh_missing --fail-missing.
  * Remove trailing whitespace in debian/changelog.
  * Use versioned URL for debian/copyright Format.

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 03 Dec 2017 20:12:11 +0100

fence-agents (4.0.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 23 Jan 2017 11:36:48 +0100

fence-agents (4.0.24-1) unstable; urgency=medium

  * New upstream version.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 17 Sep 2016 15:56:50 +0200

fence-agents (4.0.23-2) unstable; urgency=medium

  * Set LC_ALL=C when sorting list of agents in the description to get
    reproducible ordering.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Jul 2016 15:53:39 +0200

fence-agents (4.0.23-1) unstable; urgency=medium

  * New upstream version.
  * Disable the new fence_amt_ws agent because we don't have openwsman
    (and sblim-sfcc) in Debian yet
  * Include list of agents in package description.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 06 Jul 2016 13:33:49 +0200

fence-agents (4.0.22-3) unstable; urgency=medium

  * Add dh_python2 override to compile python files. (Closes: #816270)

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sun, 13 Mar 2016 14:41:07 +0100

fence-agents (4.0.22-2) unstable; urgency=medium

  * Grab missing fence_zvm.h from upstream.
  * Remove fence_zvm on non-s390x, it's a no-op anyway.

 -- Christoph Berg <myon@debian.org>  Sat, 06 Feb 2016 12:34:18 +0100

fence-agents (4.0.22-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 05 Feb 2016 16:55:20 +0100

fence-agents (4.0.21-2) unstable; urgency=medium

  * fence_scsi: Fix /sbin/vgs path.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 24 Sep 2015 13:43:17 +0200

fence-agents (4.0.21-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 12 Sep 2015 18:42:15 +0200

fence-agents (4.0.19-1) unstable; urgency=medium

  [ Adrian Vondendriesch ]
  * New upstream version.
  * Remove obsolete "fix-agents" patch. Changes are merged upstream.
  * Add myself to uploaders.
  * Add "--fail-missing" to debian/rules.
  * Add fix-virsh-man-page-unexpected-special-character patch to prevent nroff
    related lintian errors.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Jul 2015 20:29:03 +0200

fence-agents (4.0.18-1) unstable; urgency=medium

  * New upstream version.
  * Use debian/changelog date for BUILD_DATE in scripts to make package builds
    reproducible.
  * Promote python-pycurl and python-pexpect to Depends, they are needed by
    all scripts.
  * Remove deprecated XS-Python-Version: current.
  * Run a simple --help test on all agents.

 -- Christoph Berg <myon@debian.org>  Sat, 16 May 2015 19:22:41 +0200

fence-agents (4.0.17-1) unstable; urgency=medium

  * New upstream version.
    + Verifies remote SSL certificates (implemented in 4.0.12, Closes: #764801).
      CVE-2014-0104
    + fence_zvmip was rewritten in Python (Closes: #765191).
  * Add python-requests and time to Build-Depends, add python-requests and
    python-suds to Suggests (needed by fence_vmware_soap).
  * Add dh-python to Build-Depends.
  * Fix perl dependencies.
  * Remove hardening-wrapper, use buildflags.mk instead.
  * Remove obsolete lintian override file.
  * Add autopkgtest script provided by Alexander Sosna.
  * Add myself to Uploaders; bump Standards-Version.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 22 Apr 2015 14:18:52 +0200

fence-agents (4.0.7.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libxml2-utils to Build-Depends to get xmllint (Closes: #741813).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 23 Sep 2014 20:58:23 +0200

fence-agents (4.0.7.1-2) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 21 Feb 2014 13:09:10 +0000

fence-agents (4.0.0-1) experimental; urgency=low

  * New upstream version
  * debian/patches/fix_manpages.patch: Drop; it's included upstream now

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 21 Mar 2013 08:26:47 +0000

fence-agents (3.1.5-2) unstable; urgency=low

  * Adopted numerous changes from the fence-agents Ubuntu package in order
    to make co-maintaining this package easier, including these changes:
    - debian/patches/fix_manpages.patch: Fix some manpage errors.
    - debian/lintian.overrides: Add lintian overrides.
    Special thanks goes to Andres Rodriguez from Ubuntu!
  * Include the files in /usr/share/cluster/relaxng/ in the package

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 24 Nov 2011 10:14:01 +0000

fence-agents (3.1.5-1) unstable; urgency=low

  * Initial release (Closes: #538203)

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 29 Aug 2011 12:43:41 +0000
